CVE-2018-19886

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2018-19886
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2018-19886.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2018-19886
Published
2018-12-06T00:29:00Z
Modified
2024-06-30T13:07:44.394565Z
Severity
  • 5.5 (Medium) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

An invalid memory address dereference was discovered in the huffcode function (libfaac/huff2.c) in Freeware Advanced Audio Coder (FAAC) 1.29.9.2. The vulnerability causes a segmentation fault and application crash, which leads to denial of service in the book 8 case.

References

Affected packages

Alpine:v3.10 / faac

Package

Name
faac
Purl
pkg:apk/alpine/faac?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.30-r0

Affected versions

1.*

1.28-r0
1.28-r1
1.28-r2
1.28-r3
1.28-r4
1.28-r5
1.28-r6
1.28-r7
1.28-r8
1.28-r9
1.28-r10
1.28-r11
1.28-r12
1.29.9.2-r0

Alpine:v3.11 / faac

Package

Name
faac
Purl
pkg:apk/alpine/faac?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.30-r0

Affected versions

1.*

1.28-r0
1.28-r1
1.28-r2
1.28-r3
1.28-r4
1.28-r5
1.28-r6
1.28-r7
1.28-r8
1.28-r9
1.28-r10
1.28-r11
1.28-r12
1.29.9.2-r0

Debian:11 / faac

Package

Name
faac
Purl
pkg:deb/debian/faac?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.30-1

Affected versions

1.*

1.28-5
1.28-6
1.28-7
1.28+cvs20150510-1
1.28+cvs20151130-1
1.29+git20170704-1
1.29.2-1
1.29.3+git20170724-1
1.29.7.2-1
1.29.7.4-1
1.29.7.7-1
1.29.9.2-1
1.29.9.2-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / faac

Package

Name
faac
Purl
pkg:deb/debian/faac?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.30-1

Affected versions

1.*

1.28-5
1.28-6
1.28-7
1.28+cvs20150510-1
1.28+cvs20151130-1
1.29+git20170704-1
1.29.2-1
1.29.3+git20170724-1
1.29.7.2-1
1.29.7.4-1
1.29.7.7-1
1.29.9.2-1
1.29.9.2-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / faac

Package

Name
faac
Purl
pkg:deb/debian/faac?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.30-1

Affected versions

1.*

1.28-5
1.28-6
1.28-7
1.28+cvs20150510-1
1.28+cvs20151130-1
1.29+git20170704-1
1.29.2-1
1.29.3+git20170724-1
1.29.7.2-1
1.29.7.4-1
1.29.7.7-1
1.29.9.2-1
1.29.9.2-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Git / github.com/knik0/faac

Affected ranges

Type
GIT
Repo
https://github.com/knik0/faac
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Last affected

Affected versions

Other

1_29_0
1_29_1
1_29_2
1_29_3
1_29_4
1_29_5
1_29_6
1_29_6_2
1_29_7
1_29_7_2
1_29_7_3
1_29_7_5
1_29_7_6
1_29_7_7
1_29_7_8
1_29_8
1_29_8_2
1_29_8_3
1_29_9
1_29_9_2
faac1_17
faac1_18
faac1_19
faac1_20
faac1_21_1
faac1_23
faac1_23_3
faac1_24
ver_1_0
ver_1_1
ver_1_16
ver_1_5